Differences between revisions 5 and 6
Revision 5 as of 2010-06-25 09:18:14
Size: 678
Editor: dsl-217-155-195-89
Comment: fix typo
Revision 6 as of 2012-09-13 00:12:26
Size: 872
Editor: annarchy
Comment: Adding dependencies for 0.11 on Ubuntu
Deletions are marked like this. Additions are marked like this.
Line 18: Line 18:
If you are building 0.11 and still receiving errors about missing basic build tools or dependencies, try:
{{{
sudo apt-get install pkg-config libglib2.0-dev liborc-0.4-dev bison flex
}}}

Build Dependencies Debian and Ubuntu

These should do the trick:

sudo apt-get build-dep gstreamer0.10-plugins-base gstreamer0.10-plugins-good gstreamer0.10-plugins-ugly gstreamer0.10-plugins-bad
sudo apt-get install cvs

(cvs is required by autotools, autogen.sh will fail if you don't have it.)

You will need to make sure the deb-src lines are enabled in your /etc/apt/sources.list file.

On Ubuntu you might try these as well in addition to the above:

sudo apt-get build-dep gstreamer0.10-plugins-ugly-multiverse gstreamer0.10-plugins-bad-multiverse

If you are building 0.11 and still receiving errors about missing basic build tools or dependencies, try:

sudo apt-get install pkg-config libglib2.0-dev liborc-0.4-dev bison flex

For gst-plugins-gl:

sudo apt-get install libglew1.5-dev libpng12-dev

BuildDependenciesDebianUbuntu (last edited 2012-09-13 00:12:26 by annarchy)